# Copyright 2019 the Monicelli project authors. All rights reserved.
# Use of this source code is governed by a GPLv3 license, see LICENSE.txt.

find_package(Doxygen)

if (DOXYGEN_FOUND)
  set(PACCIANI_DOXYGEN_CONFIG ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${PACCIANI_DOXYGEN_CONFIG}
    @ONLY
  )

  add_custom_target(doc
    DEPENDS ${PACCIANI_DOXYGEN_CONFIG}
    COMMAND ${DOXYGEN_EXECUTABLE} ${PACCIANI_DOXYGEN_CONFIG}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    VERBATIM
  )
endif()

